import request from "../utils/request";

// 短视频点赞
export const videoFavor = (data) =>
  request({
    url: "/app/short-video/info/favor",
    method: "POST",
    data,
  });

// app短视频观看上报
export const videoRecord = (data) =>
  request({
    url: "/app/short-video/watch/save",
    method: "POST",
    data,
  });

// 短视频详情
export const queryVideoDetail = (data) =>
  request({
    url: "/app/short-video/info/get",
    method: "POST",
    data,
  });

// 用户保存评论
export const saveComment = (data) =>
  request({
    url: "/app/comment/saveComment",
    method: "POST",
    data,
  });

// 用户查看评论列表
export const queryCommentForApp = (data) =>
  request({
    url: "/app/comment/queryCommentForApp",
    method: "POST",
    data,
  });

//app短视频检查限制
export const queryLimitCheck = (data) =>
  request({
    url: "/app/short-video/limit/check",
    method: "POST",
    data,
  });

//查询短视频列表
export const queryList = (data) =>
  request({
    url: "/app/short-video/info/list",
    method: "POST",
    data,
  });

//  app短视频购物车上报
export const cartClickSave = (data) =>
  request({
    url: "/app/short-video/cart-click/save",
    method: "POST",
    data,
  });

export const shareSave = (data) =>
  request({
    url: "/app/short-video/share/save",
    method: "POST",
    data,
  });
